Skip to main content
GET
List Evaluation Runs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

agent_id
string | null

Agent ID

team_id
string | null

Team ID

workflow_id
string | null

Workflow ID

model_id
string | null

Model ID

type
enum<string> | null

Filter type

Available options:
agent,
team,
workflow
limit
integer | null
default:20

Number of eval runs to return

page
integer | null
default:1

Page number

sort_by
string | null
default:created_at

Field to sort by

sort_order
enum<string> | null
default:desc

Sort order (asc or desc)

Available options:
asc,
desc
db_id
string | null

The ID of the database to use

eval_types
string | null

Comma-separated eval types (accuracy,performance,reliability)

Example:

"accuracy,performance"

Response

Evaluation runs retrieved successfully

data
EvalSchema · object[]
required
meta
PaginationInfo · object
required